#!/bin/bash
# Author Rob Trew – Twitter @complexpoint Copyright 2021
# Ver 0.2

# Plugin parameter values made available to plugin script as KM variables

# TESTING

#KMPARAM_String_to_split="Summer in  the   highlands with 
#mosquitoes all day 
#long and crickets too"
#KMPARAM_Delimiter='\n'
#KMPARAM_Delimiter_type='regex'
#KMPARAM_Output_array_type='json'

# TEST ENDS

# No back-slash processing for regular expression delimiters
if [[ "regex" == "$KMPARAM_Delimiter_type" ]]
then delim="$(printf %q $KMPARAM_Delimiter)"
else delim=$KMPARAM_Delimiter
fi

/usr/bin/osascript -l JavaScript <<JXA_END 2>/dev/null
((haystack, needle, needleType, arrayType) => {
    const xs = haystack.split(
            'regex' === needleType ? (
                new RegExp(needle)
            ) : needle
        );
    return 'json' === arrayType ? (
        JSON.stringify(xs)
    ) : xs.join(',');
    
})(
    \`$KMPARAM_String_to_split\`,
    "$delim",
    "$KMPARAM_Delimiter_type",
    "$KMPARAM_Output_array_type"
);
JXA_END


